fallc.fal(1)

NAME
falconeer.fal - Falcon Language table compiler

SYNOPSIS
fallc.fal [-m merge_file] [...options...] ftt_list...

DESCRIPTION
The Falcon language table compiler is used to compile .ftt files (Falcon translation tables) into a binary .ftr file (Falcon translation). The ftr file is a collection of translations relative to a single module (source file, .fam pre-compiled Falcon file or binary shared object/dynamic load library), that can be shipped side by side with the module and providing a translation to one of the compiled-in languages on request. Ftt files are generated by falcon command line compiler using the -y option. The program operates on the list of ftt files provided on the command li

OPTIONS

-c  Do NOT check for inline variables consistency. If not given, fallc will check for all the variables indicated with $varname or $(varname[:...]) to be both in the original strings and in the translation, and will warn if this doesn't happens.

-h  Prints an help screen with command synopsis.

-m <source_table.ftt>
    Merges a new source table with previously performed translations. If the source program that must be translated changes after that some work has been performed on the translation table, it is necessary to integrate the changes into the work files. In this mode, a new template source table generated by falcon can be integrated in already existing translations, which will be modified directly on place. It is possible to provide a different output file for the merged result using the -o <outputfile> option, but in this case it will be possible to merge only one file at a time.

-o <outputfile>
    By default, fallc sends the binary translation table to a file named after the original module with the .ftr extension added. This option allows to specify a different destination for the compiled translation table. The option can be used in conjunction with the -m option to send the result of a merged table to a different file.

-v  Prints program version and exits.

NOTES
On some systems, fallc.fal script can be "proxied" with a fallc pseudo command (shell script, batch file and so on).

AUTHOR
Giancarlo Niccolai <gc_@_falconpl.org_> (remove "_")

SEE ALSO
falcon(1)

LICENSE
This document is released under the "GNU Free Documentation License, version 1.2". On Debian systems, the complete text of the Free Documentation License, version 1.2, can be found in /usr/share/common-licenses/.